Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.qms.prequeue
Class ConsumptionTaskID

    java.lang.Object
      lbg.peer.core.qms.prequeue.ConsumptionTaskID

All Implemented Interfaces:
  java.io.Serializable

    public class ConsumptionTaskID

extends java.lang.Object
implements java.io.Serializable

Consumption Task id in Supplying space.

When a Consumption Task submitted by a Consumer Peer is accepted as a Supplying Task by a Supplier Peer, the latter returns the Task id in its id space, so that the Consumer has the possibility to cancel the Task later.

Author:
  Cyril Briquet
See Also:
  Serialized Form

Field Summary
`int` | `bot_id`
`int` | `job_id`

Constructor Summary
`ConsumptionTaskID()` Constructs an illegal new Consumption Task id, i.e.
`ConsumptionTaskID(int job_id, int bot_id)` Constructs a legal new Consumption Task id.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### job_id

    public final int job_id

### bot_id

    public final int bot_id

Constructor Detail

### ConsumptionTaskID

    public ConsumptionTaskID(int job_id,
                             int bot_id)
                      throws GridException

  Constructs a legal new Consumption Task id.

  Parameters:
    `job_id` - target Job id
    `bot_id` - target BoT id
  Throws:
    `GridException` - if a parameter is illegal

### ConsumptionTaskID

    public ConsumptionTaskID()

  Constructs an illegal new Consumption Task id, i.e. to designate a non-existent illegal Consumption Task id.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.